(use multidoc sxml-transforms srfi-1 files posix)

(define wiki-rules
  `(((wiki-page 
      *macro*
      . ,(lambda (tag elems)
	   `(html:begin . ,elems)))
     ,@alist-conv-rules*)))

(for-each (lambda (f)
            (print "Processing " f "...")
            (let ((tree (with-input-from-file f read)))
              (with-output-to-file (pathname-replace-extension f "html")
                (lambda ()
                  (SRV:send-reply
                   (fold (lambda (ruleset tree)
                           (pre-post-order* tree ruleset))
                         tree
                         (append wiki-rules
                                 (html-transformation-rules tree))))))))
          (glob "*.sxml"))